R0=13.8;
C2=220e-6;
L=141e-6;
H=5/13.8;
MOD=0.1;

VIN=34.2;
DVIN=0;

D=13.8/VIN;

%%
w0=1/sqrt(C2*L);
P0=2*pi*501;
P1=2*pi*50e3;
Z1=2*pi*10;
Z2=2*pi*5000;

NUM=[1 (Z1+Z2) Z1*Z2];
DEN=[1 P1 0];
K=(P0*P1)/(Z1*Z2);
Gc=K*tf(NUM,DEN);

%%

Z1x=2*pi*100;
P0x=2*pi*5011;
NUMx=[1 (Z1x+Z2) Z1x*Z2];
DENx=[1 P1 0];
Kx=(P0x*P1)/(Z1x*Z2);

Gcx=Kx*tf(NUMx,DENx);

%%

NUMP=[R0];
DENP=[C2*L*R0 L R0];
Gp=VIN*tf([R0],[C2*L*R0 L R0]);

bode(Gcx*Gp*MOD*H)
hold on
bode(Gc*Gp*MOD*H,'r')



GcD=c2d(Gcx,1e-6, 'tustin')
[NUMD,DEND]=tfdata(GcD,'v')